Panduan pembalasan.id
Users

Create a User

POST
/platform/api/v1/users

Create a User

Authorization

platformAppApiKey
api_access_token<token>

This token can be obtained by the system admin after creating a platformApp. This token should be used to provision agent bots, accounts, users and their roles.

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/platform/api/v1/users" \  -H "Content-Type: application/json" \  -d '{}'
{
  "id": 0,
  "access_token": "string",
  "account_id": 0,
  "available_name": "string",
  "avatar_url": "string",
  "confirmed": true,
  "display_name": "string",
  "message_signature": "string",
  "email": "string",
  "hmac_identifier": "string",
  "inviter_id": 0,
  "name": "string",
  "provider": "string",
  "pubsub_token": "string",
  "role": "agent",
  "ui_settings": {},
  "uid": "string",
  "type": "string",
  "custom_attributes": {},
  "accounts": [
    {
      "id": 0,
      "name": "string",
      "status": "string",
      "active_at": "2019-08-24T14:15:22Z",
      "role": "administrator",
      "permissions": [
        "string"
      ],
      "availability": "string",
      "availability_status": "string",
      "auto_offline": true,
      "custom_role_id": 0,
      "custom_role": {}
    }
  ]
}
{
  "description": "string",
  "errors": [
    {
      "field": "string",
      "message": "string",
      "code": "string"
    }
  ]
}